GDB (xrefs)

Public Attributes | List of all members
ext_elf32_dsbt_loadmap Struct Reference

## Public Attributes
ext_Elf32_Word | version
ext_Elf32_Word | dsbt_table_ptr
ext_Elf32_Word | dsbt_size
ext_Elf32_Word | dsbt_index
ext_Elf32_Word | nsegs
struct ext_elf32_dsbt_loadseg | segs [1]

## Detailed Description

Definition at line 60 of file solib-dsbt.c.

## Member Data Documentation

## ◆ dsbt_index

ext_Elf32_Word ext_elf32_dsbt_loadmap::dsbt_index

Definition at line 67 of file solib-dsbt.c.

## ◆ dsbt_size

ext_Elf32_Word ext_elf32_dsbt_loadmap::dsbt_size

Definition at line 66 of file solib-dsbt.c.

## ◆ dsbt_table_ptr

ext_Elf32_Word ext_elf32_dsbt_loadmap::dsbt_table_ptr

Definition at line 65 of file solib-dsbt.c.

## ◆ nsegs

ext_Elf32_Word ext_elf32_dsbt_loadmap::nsegs

Definition at line 69 of file solib-dsbt.c.

Referenced by decode_loadmap(), and fetch_loadmap().

## ◆ segs

struct ext_elf32_dsbt_loadseg ext_elf32_dsbt_loadmap::segs[1]

Definition at line 71 of file solib-dsbt.c.

Referenced by decode_loadmap(), and fetch_loadmap().

## ◆ version

ext_Elf32_Word ext_elf32_dsbt_loadmap::version

Definition at line 62 of file solib-dsbt.c.

Referenced by decode_loadmap().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/solib-dsbt.c